Bug 484599

Summary: Qemu monitor "system_powerdown" command does not work.
Product: [Fedora] Fedora Reporter: Wolfgang Denk <wd>
Component: qemuAssignee: David Woodhouse <dwmw2>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 10CC: clalance, dwmw2, gcosta, markmc, mishu, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-04-20 06:18:59 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Wolfgang Denk 2009-02-08 16:19:46 EST
Description of problem: The "system_powerdown" command in qemu monitor is supposed to allow for a greaceful shutdown of the guest OS, but it seems no signal or whatever is sent to the guest. I tried this with several Red Hat (7.3, 9) and Fedora (FC6, F8, F10) and other (Kubuntu-7.10, Knoppix-5.1.1) distributions as guest OS, but the result is always the same: the guest continues to run without any indication of a shutdown.

Version-Release number of selected component (if applicable):
qemu-0.9.1-10.fc10 (tested both on i686 and x86_64)   and
qemu-kvm from kvm-74-10.fc10 (again both i686 and x86_64)

How reproducible:


Steps to Reproduce:
1. Use any recent Linux life CD image and boot from it under qemu or qemu-kvm
2. connect to the monitor, and issue a "system_powerdown" command
3. Alternatively, create a virtual machine under virt-manager and then use the "virsh shutdown" command.
  
Actual results:
nothing happens

Expected results:
guest OS should react as if the power botton was pressed, i. e. start a graceful shutdown

Additional info:
Many similar reports can be found in the net, some of them claiming this would be working if proper ACPI support was enabled in the guest OS, but I cannot confirm that. To me it seems as if no ACPI event ever gets sent to the guest OS.
Comment 1 Chris Lalancette 2009-02-09 03:46:42 EST
Hm, that's actually quite odd, since it works great for me, going all the way back to kvm-74 (I've since upgraded to kvm-83).  It certainly *won't* work for pre-2.6 kernels (i.e. RHL 7.3 and 9), since those don't have ACPI support, but any modern Windows guest and any modern 2.6 guest should work just fine.  Oh, it also certainly won't work with qemu-0.9.1, since that is much too old.

Because of the bug, we should concentrate on a specific combination that should work.  In this case, you should definitely use kvm-74 and a modern guest, say your F-9 guest.  Are you certain that when you tested kvm, you were actually using KVM and not qemu?  Can you attach the output from "virsh dumpxml guest" after starting the guest, and can you also attach the output of "ps -efwwww" so we can see the command-line that was started?

Chris Lalancette
Comment 2 Mark McLoughlin 2009-04-20 06:18:59 EDT
Missing info from reporter, closing